@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
/* ---------------------------------------ESTILO DO FORM ------------------------------------------------------*/

{
    margin: 0;
    padding: 0;
    font-family: 'Roboto', sans-serif;
}

body {
    background-image: url("../images/bg-inicio-site.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-attachment: fixed
}

.container {
    display: flex;
    justify-content: center;
    width: 100%;
    margin-top: 100px;
}

.card {
    background-color: #ffffff80;
    padding: 30px;
    border-radius: 4%;
    box-shadow: 3px 3px 1px 0px #00000060
}

h1 {
    text-align: center;
    margin-bottom: 20px;
    color: #272262
}

.label-float input {
    width: 100%;
    padding: 5px 5px;
    display: inline-block;
    border: 0;
    border-bottom: 2px solid #272262;
    background-color: transparent;
    outline: none;
    min-width: 180px;
    font-size: 16px;
    transition: all .3s ease-out;
    border-radius: 0;
}

.label-float {
    position: relative;
    padding-top: 13px;
    margin-top: 5%;
    margin-bottom: 5%;
}

    .label-float input:focus {
        border-bottom: 2px solid #4038a0;
    }

    .label-float label {
        color: #272262;
        pointer-event: none;
        position: absolute;
        top: 0;
        left: 0;
        margin-top: 13px;
        transition: all .3s ease-out;
    }

    .label-float input:focus + label,
    .label-float input:valid + label {
        font-size: 13px;
        margin-top: 0;
        color: #4038a0
    }

button {
    background-color: transparent;
    border-color: #272262;
    color: #272262;
    padding: 7px;
    font-weight: bold;
    font-size: 12pt;
    margin-top: 20px;
    border-radius: 4px;
    cursor: pointer;
    outline: none;
    transition: all .4s ease-out;
}

    button:hover {
        background-color: #272262;
        color: #fff;
    }

.justify-center {
    display: flex;
    justify-content: center;
}

hr {
    margin-top: 10%;
    margin-bottom: 10%;
    width: 60%;
}

p {
    color: #272262;
    font-size: 14pt;
    text-align: center;
}

a {
    color: #7a3077;
    font-weight: bold;
    text-decoration: none;
    transition: all .3s ease-out;
}

    a:hover {
        color: #272262;
    }

.fa-eye {
    position: absolute;
    top: 15px;
    right: 10px;
    cursor: pointer;
    color: #272262;
}

#msgError {
    text-align: center;
    color: #ff0000;
    background-color: #ffbbbb;
    padding: 10px;
    border-radius: 4px;
    display: none;
}

/* ------------------------------------------ ESTILO LAYOUT------------------------------------------------*/

body {
    background-color: #1d2168;

}

.interface {
    max-width: 1280px;
    margin: 0 auto;
    padding: 0 4%;
}

header .btn-contato button, .hero-site button, .hoteis button {
    font-size: 24px;
    background-color: transparent;
    border: 2px solid #fff;
    color: #fff;
    cursor: pointer;
    transition: .5s;
}

    header .btn-contato button:hover, .hero-site button:hover, .hoteis button:hover {
        background-color: #fff;
        color: #000;
    }

/* Estilo do header */
header {
    width: 100%;
    padding: 40px 0;
    position: fixed;
    top: 0;
    left: 0;
    transition: 0.3s;
    z-index: 99999999999999999999999999999;
}

    header .interface {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }

    header .logo img {
        max-width: 40px;
    }
        /*------------------------------Estilo do menu dinâmico------------------------*/

        header .logo img.logo-preto {
            display: none;
        }

    header.rolar {
        background-color: #fff;
        padding: 20px 0;
        box-shadow: 0, 0, 8px, #00000061;
    }

        header.rolar .menu-desktop nav ul li a {
            color: #000;
        }

        header.rolar .btn-contato button {
            border: 1px solid #000;
            color: #000;
        }

            header.rolar .btn-contato button:hover {
                background-color: #000;
                color: #fff;
            }

        header.rolar .logo .logo-branca {
            display: none;
        }

        header.rolar .logo .logo-preto {
            display: block;
        }
    /*-----------------------------Termino do Estilo do menu dinâmico----------------*/
    header .menu-desktop nav ul {
        list-style-type: none;
    }

        header .menu-desktop nav ul li {
            display: inline-block;
            margin: 0 40px;
        }

            header .menu-desktop nav ul li a {
                color: #fff;
                text-decoration: none;
                display: inline-block;
                transition: .2s;
            }

.menu-desktop nav a:hover {
    transform: scale(1.10);
}

header .btn-contato button {
    width: 140px;
    height: 50px;
}
/* ------------------------------ Estilo do botăo mobile --------------------------------*/
header .btn-menu-mob {
    display: none;
    position: relative;
    z-index: 999999999999999999999999;
}

    header .btn-menu-mob div {
        background-color: #000;
        height: 3px;
        margin: 10px 0;
        transition: .3s;
    }

    header .btn-menu-mob .line-menumob-1 {
        background-color: #fff;
        width: 30px;
    }

    header .btn-menu-mob .line-menumob-2 {
        background-color: #fff;
        width: 20px;
    }

header.rolar .btn-menu-mob div {
    background-color: #000;
}

header .btn-menu-mob .line-menumob-1.ativo1 {
    transform: rotate(45deg) translate(30%);
    background-color: aquamarine;
}

header .btn-menu-mob .line-menumob-2.ativo2 {
    transform: rotate(-45deg) translate(30%);
    width: 30px;
    background-color: aquamarine;
}

/* ------------------------------ Estilo do menu mobile --------------------------------*/

header .menu-mobile {
    width: 0;
    height: 0;
    background-color: #081871;
    opacity: 85%;
    position: absolute;
    top: 0;
    right: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    overflow: hidden;
    transition: .5s;
}

    header .menu-mobile nav {
        width: 100%;
    }

        header .menu-mobile nav ul {
            list-style-type: none;
        }

        header .menu-mobile nav a {
            font-size: 24px;
            text-decoration: none;
            color: #fff;
            padding: 20px 0;
            display: block;
            transition: .5s;
        }

            header .menu-mobile nav a:hover {
                background-color: #fff;
                color: #000;
                box-shadow: 0 0 20px #fff;
            }

    header .menu-mobile.abrir {
        width: 100%;
        height: 100vh;
    }

body.no-overflow {
    overflow: hidden;
}

